Subject: bug#38497: 27.0.50; Frame is not rendered when frame-resize-pixelwise it 't

From: Ihor Radchenko <[email-masked]>
Date: Sat, 14 Dec 2019 00:46:38 +0800

> I'm confused.  What does "there is no redrawing" mean?  That the rest
> of the frame is orderly redrawn or that the rest of the frame is not
> redrawn?

I mean literally. Emacs frame does not redraw properly. I tried make
several window splits after M-x menu-bar-mode. See the attached
screenshot.

I don't even need to change fonts or load emacs theme to trigger this.

> If drawing the Lucid menu bar _is_ responsible for the problem, could
> you try setting its font separately?  See appendix

I tried to run emacs with

emacs -Q -xrm 1.txt

with 1.txt:
Emacs.pane.menubar.font: Courier-12

The result is same.

Best,
Ihor

martin rudalics <[email-masked]> writes:

>  >> Something cheaper to test: Does the bug also appear when you disable
>  >> tool bars, menu bars or scroll bars?
>  >
>  > No. It disappears. Specifically, it disappears when I disable menu-bar.
>  > Actually, there is no redrawing when I simply do
>  > 1. emacs -Q
>  > 2. maximise frame
>  > 3. M-x menu-bar-mode
>
> I'm confused.  What does "there is no redrawing" mean?  That the rest
> of the frame is orderly redrawn or that the rest of the frame is not
> redrawn?
>
> If drawing the Lucid menu bar _is_ responsible for the problem, could
> you try setting its font separately?  See appendix
>
> D.3 Lucid Menu And Dialog X Resources
>
> of the Emacs manual for what can be specified (you can use the -xrm
> option to put these into effect when invoking Emacs).
>
> martin